/**
 * K8S配置缓存
 * @date 2021-09-13 13:39:31
 * @author 吴锋霖
 */
declare class K8SConfigCache {
    private cacheMap;
    private clusterIdCacheMap;
    /**
     * 示例函数fun1
     * @param cloudType 0:阿里云,1:华为云
     */
    init(cloudType: string): Promise<any>;
    private reloadCache;
    /**
     * 获取K8S API客户端
     */
    getClient(id: string): K8SPrmsConfig;
    /**
     * 通过集群ID获取K8S记录主键
     */
    getIdByClusterId(clusterId: string): string;
    /**
     * 获取K8S API客户端
     */
    getAllClients(): Array<K8SPrmsConfig>;
}
export declare class K8SPrmsConfig {
    id: string;
    name: string;
    cloudProvider: string;
    apiUrl: string;
    prmsUrl: string;
}
export { K8SConfigCache };
